formatting-7.2.0: Combinator-based type-safe formatting (like printf() or FORMAT)

Safe Haskell | None
Language | Haskell2010

Formatting.Examples

Description

Examples that should always compile. If reading on Haddock, you can view the sources to each of these.

Synopsis

- hello :: Text
- strings :: Text
- texts :: Text
- builders :: Text
- integers :: Text
- floats :: Text
- hexes :: Text
- padding :: Text

# Documentation

hello :: Text Source #

Simple hello, world!

strings :: Text Source #

Printing strings.

texts :: Text Source #

Printing texts.

builders :: Text Source #

Printing builders.

integers :: Text Source #

Printing integers.

floats :: Text Source #

Printing floating points.

hexes :: Text Source #

Printing integrals in hex (base-16).

padding :: Text Source #

Padding.